/*-------------------------------------------------------------
| I2C Test
--------------------------------------------------------------*/
#include "test001.h"

/*-----------------------------
| allgemeine Routinen         |
-----------------------------*/
// System initialisieren
void system_init(void) {
	unsigned char i;
	unsigned char buffer[12];
	
	// LCD-Initialisieren
	lcd_init(LCD_DISP_ON);

	lcd_command(0x01);
	lcd_gotoxy(0,0);
	lcd_puts("I2C Test...");

	// Benutzerdefinierte Zeichen ins LCD laden
	lcd_command(_BV(LCD_CGRAM));  /* set CG RAM start address 0 */
	for(i=0; i<56; i++)
	{
  	lcd_data(pgm_read_byte_near(&copyRightChar[i]));
	}
	lcd_command(_BV(LCD_DDRAM));  /* set DD RAM start address 0 */
	lcd_gotoxy(0,1);

	I2C_Init();

	// DS1775R konfigurieren...
	i2cDATA[0] = 0x01;
	i2cDATA[1] = 0x28;
	I2C_Writedata(DS1775R_ADDRESS, i2cDATA, 2);
	
	// ersten Wert einlesen und gleich mal auf LCD...
	I2C_Readdata(DS1775R_ADDRESS, i2cDATA, 2);
	
	convC2L tmp1;
	
	tmp1.cD0 = i2cDATA[0];
	tmp1.cD1 = i2cDATA[1];
	
	l2a(tmp1.lD, buffer);
	lcd_gotoxy(0,1);
	lcd_puts(buffer);
}


int main (void) {
	system_init();
	
	for (;;) {
		
		set_sleep_mode(SLEEP_MODE_IDLE);
		sleep_mode();
	}
	
}
