#include <avr/io.h>
#include <avr/pgmspace.h>
#include <avr/sleep.h>
#include <stdint.h>
#include <stdlib.h>
#include <inttypes.h>

#include "lcd.h"
#include "l2a.h"
#include "i2c.h"

#ifndef F_CPU
#define F_CPU 16000000UL
#endif

#define DS1775R_ADDRESS 0x90		// I2C Adresse vom DS1775R TempSensor

#define SLEEP_MODE SLEEP_MODE_IDLE				// SleepMode

typedef union {
	long lD;
	struct {
		unsigned char cD0;
		unsigned char cD1;
	};
} convC2L;

// Special-Chars fr LCD
static const PROGMEM unsigned char copyRightChar[] =
{
	0x08, 0x14, 0x08, 0x03, 0x04, 0x04, 0x04, 0x03,			// c						0
	0x08, 0x14, 0x08, 0x07, 0x04, 0x06, 0x04, 0x04,			// F						1
	0x04, 0x0A, 0x0A, 0x0E, 0x0E, 0x1F, 0x1F, 0x0E,			// Temp-Sybol		2
	0x15, 0x00, 0x17, 0x14, 0x16, 0x14, 0x14, 0x00,			// USART IF			3
	0x1E, 0x01, 0x02, 0x01, 0x1E, 0x10, 0x1F, 0x10,			// TW IF				4
	0x0A, 0x15, 0x1F, 0x00, 0x05, 0x02, 0x1F, 0x00,			// kB						5
	0x04, 0x04, 0x15, 0x0E, 0x04, 0x1F, 0x00, 0x00			// MenuButton		6
};

// prototypendekleration
void system_init(void);
void delay(int tencycles);
